Ask Your Question
0

Get error of liblapack while rosmake the tum_ardrone package

asked 2013-12-11 19:26:21 -0500

0525084 gravatar image

Today, I get the package tum_ardrone and make it, there are two files ardrone_autonomy and tum_ardrone. The first one making was ok, while the tum_ardrone package making failed. It reported that : I know that is about the liblapack, but I don't know how to fix it, can anybody help me?

/usr/lib/gcc/x86_64-linux-gnu/4.6/../../../../lib/liblapack.so: undefined reference to ATL_snrm2' /usr/lib/gcc/x86_64-linux-gnu/4.6/../../../../lib/liblapack.so: undefined reference toATL_dtbsv' /usr/lib/gcc/x86_64-linux-gnu/4.6/../../../../lib/liblapack.so: undefined reference to ATL_zswap' /usr/lib/gcc/x86_64-linux-gnu/4.6/../../../../lib/liblapack.so: undefined reference toATL_crotg' /usr/lib/gcc/x86_64-linux-gnu/4.6/../../../../lib/liblapack.so: undefined reference to ATL_ccopy' /usr/lib/gcc/x86_64-linux-gnu/4.6/../../../../lib/liblapack.so: undefined reference toATL_sptgemm' /usr/lib/gcc/x86_64-linux-gnu/4.6/../../../../lib/liblapack.so: undefined reference to ATL_cptsymm' /usr/lib/gcc/x86_64-linux-gnu/4.6/../../../../lib/liblapack.so: undefined reference toATL_cptherk' /usr/lib/gcc/x86_64-linux-gnu/4.6/../../../../lib/liblapack.so: undefined reference to ATL_dset' /usr/lib/gcc/x86_64-linux-gnu/4.6/../../../../lib/liblapack.so: undefined reference toATL_zdotc_sub' /usr/lib/gcc/x86_64-linux-gnu/4.6/../../../../lib/liblapack.so: undefined reference to ATL_zgemv' /usr/lib/gcc/x86_64-linux-gnu/4.6/../../../../lib/liblapack.so: undefined reference toATL_zhpmv' /usr/lib/gcc/x86_64-linux-gnu/4.6/../../../../lib/liblapack.so: undefined reference to ATL_zcopyConj' /usr/lib/gcc/x86_64-linux-gnu/4.6/../../../../lib/liblapack.so: undefined reference toATL_caxpy' /usr/lib/gcc/x86_64-linux-gnu/4.6/../../../../lib/liblapack.so: undefined reference to ATL_dnrm2' /usr/lib/gcc/x86_64-linux-gnu/4.6/../../../../lib/liblapack.so: undefined reference toATL_dtrsv' /usr/lib/gcc/x86_64-linux-gnu/4.6/../../../../lib/liblapack.so: undefined reference to ATL_cscal' /usr/lib/gcc/x86_64-linux-gnu/4.6/../../../../lib/liblapack.so: undefined reference toATL_cgerc' /usr/lib/gcc/x86_64-linux-gnu/4.6/../../../../lib/liblapack.so: undefined reference to ATL_sspmv' /usr/lib/gcc/x86_64-linux-gnu/4.6/../../../../lib/liblapack.so: undefined reference toATL_ctbmv' /usr/lib/gcc/x86_64-linux-gnu/4.6/../../../../lib/liblapack.so: undefined reference to ATL_sger' /usr/lib/gcc/x86_64-linux-gnu/4.6/../../../../lib/liblapack.so: undefined reference toATL_zgbmv' /usr/lib/gcc/x86_64-linux-gnu/4.6/../../../../lib/liblapack.so: undefined reference to ATL_sptsymm' /usr/lib/gcc/x86_64-linux-gnu/4.6/../../../../lib/liblapack.so: undefined reference toATL_ctbsv' /usr/lib/gcc/x86_64-linux-gnu/4.6/../../../../lib/liblapack.so: undefined reference to ATL_ztrmv' /usr/lib/gcc/x86_64-linux-gnu/4.6/../../../../lib/liblapack.so: undefined reference toATL_sdsdot' /usr/lib/gcc/x86_64-linux-gnu/4.6/../../../../lib/liblapack.so: undefined reference to ATL_ssyr' /usr/lib/gcc/x86_64-linux-gnu/4.6/../../../../lib/liblapack.so: undefined reference toATL_zpthemm' /usr/lib/gcc/x86_64-linux-gnu/4.6/../../../../lib/liblapack.so: undefined reference to ATL_ssbmv' /usr/lib/gcc/x86_64-linux-gnu/4.6/../../../../lib/liblapack.so: undefined reference toATL_cgemv' collect2: ld 返回 1 make[4]: * [../bin/drone_stateestimation] 错误 1 make[4]:正在离开目录 /home/turtlebot2/ardrone_ws/tum_ardrone/build' make[3]: *** [CMakeFiles/drone_stateestimation.dir/all] 错误 2 make[3]:正在离开目录/home/turtlebot2/ardrone_ws/tum_ardrone/build' make[2]: * [all] 错误 2 make[2]:正在离开目录 /home/turtlebot2/ardrone_ws/tum_ardrone/build' make[1]: *** [all] 错误 2 make[1]:正在离开目录/home/turtlebot2/ardrone_ws/tum_ardrone'

edit retag flag offensive close merge delete

1 Answer

Sort by » oldest newest most voted
1

answered 2014-01-29 00:26:21 -0500

lppier gravatar image

Have you tried installing liblapack-dev ? If you are using ubuntu you can do this :

Install Synaptic Package Manager from Ubuntu Software Center. From Synaptic Package Manager, search for the following packages : liblapack-dev libblas-dev

Add them to install

edit flag offensive delete link more

Your Answer

Please start posting anonymously - your entry will be published after you log in or create a new account.

Add Answer

Question Tools

1 follower

Stats

Asked: 2013-12-11 19:26:21 -0500

Seen: 495 times

Last updated: Jan 29 '14